Manual do PHP
Anterior |  | Próxima

# runkit_constant_add

(PECL)

runkit_constant_add -- Similar to define(), but allows defining in class definitions as well

## Descrição

bool runkit_constant_add ( string constname, mixed value )

## Parâmetros

`constname`

  Name of constant to declare. Either a string to indicate a global constant, or `classname::constname` to indicate a class constant.

`value`

  NULL, Bool, Long, Double, String, or Resource value to store in the new constant.

## Valores de retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## Veja também

define()
runkit_constant_redefine()
runkit_constant_remove()

Anterior | Principal | Próxima
runkit_class_emancipate | Acima | runkit_constant_redefine